Bug 594596 - RHEL 6 virtualisation guide needs to mention that a "Minimal" installation doesn't support "shut down" via virsh/Virt-Manager
RHEL 6 virtualisation guide needs to mention that a "Minimal" installation do...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Christopher Curran
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 02:32 EDT by Justin Clift
Modified: 2011-12-05 20:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 00:23:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2010-05-21 02:32:01 EDT
Description of problem:

Because the "Minimal" installation set doesn't include the "acpid"
package, anyone using virsh or virt-manager won't be able to cleanly
shut down their vm's using those tools.

i.e. this doesn't work:

  $ virsh --connect qemu://somehost/system shutdown myvm

Instead, the SysAdmin for the server needs to either individually send a Control-Alt-Delete key sequence to each VM, or log in to them
individually and issue the proper shutdown command.

This was a surprise to me when I went to shut down a bunch of newly installed test VM's.

It doesn't appear to be documented in either the Installation nor
Virtualisation Guides online, and most likely should be. 


Version-Release number of selected component (if applicable):

The April 2010 release of the RHEL 6 beta installation guides available online:

  http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/


How reproducible:

Every time.


Steps to Reproduce:
1.  Install a RHEL 6 VM, test0, using the "Minimal" installation set.

2.  Using virsh or Virt-Manager, trigger the VM to shut down:

     $ sudo virsh shutdown test0
     Domain test0 is being shutdown

     $
    
3.  Nothing happens.  The VM ignores the shutdown signal.

  
Actual results:

Although both virsh and Virt-Manager will claim the VM is being shut down, it doesn't actually occur.  The VM ignores the shut down signal completely.


Expected results:

The VM to shut down as per normal.


Additional info:

A simple workaround is to install the "acpid" daemon in the VM's and set it to start at system boot up.  This allows the VM's to be shut down as per normal.

However, the real problem here is just that people working with VM's won't expect a Minimal installation to work any differently to other installation types.
Comment 2 RHEL Product and Program Management 2010-05-21 11:16:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Christopher Curran 2010-05-31 22:16:01 EDT
Fixed in build 27.

Note You need to log in before you can comment on or make changes to this bug.